with Ada.Text_IO;
use Ada.Text_IO;

with ITI8590.Discrete_Fourier_Transform.IO;
use ITI8590.Discrete_Fourier_Transform.IO;

procedure ITI8590.Discrete_Fourier_Transform.Test is
   Data : Vector := ((2.0, 3.0),
                     (0.0, 2.0),
                     (4.0, 0.5),
                     (8.0, 2.0),
                     (4.0, 0.5),
                     (8.0, 2.0),
                     (1.0, 0.0),
                     (6.0, 2.0),
                     (7.0, 9.0),
                     (1.5, 2.0),
                     (3.0, 5.0),
                     (2.0, 2.0),
                     (3.0, 5.0),
                     (2.0, 2.0),
                     (0.0, 2.0),
                     (4.0, 2.0));
begin
   -- Original
   Put_Line("Original: ");
   Put(Data);
   New_Line;

   -- Fast Fourier transform
   Fast_Fourier_Transform(Data);
   Put_Line("After fast Fourier transform: ");
   Put(Data);
   New_Line;

   -- Fast inverse Fourier transform
   Fast_Inverse_Fourier_Transform(Data);
   Put_Line("After fast inverse Fourier transform: ");
   Put(Data);
   New_Line;
end ITI8590.Discrete_Fourier_Transform.Test;
